
Core - Bug # 33942

Task # 33745 (Resolved): Integrate File Abstraction Layer

Status: Resolved Priority: Should have
Author: Oliver Hader Category:
Created: 2012-02-15 Assigned To: Oliver Hader
Updated: 2012-03-28 Due date:
TYPO3 Version: 4.7
PHP Version: 5.3
Complexity:
Is Regression:
Sprint Focus:
Subject: Unknown t3lib_TcaRelationService in StaticRecordCollection
Description

t3lib_collection_StaticRecordCollection::loadContents() tries to access class t3lib_TcaRelationService which is not available in the
TYPO3 Core. The accordant dependent feature request was pending for master (see #32148). Since the TcaRelationService was
dropped for 4.7, this fix uses plain MM queries to get the desired results.

Associated revisions
Revision fcbf817f - 2012-03-27 15:08 - Oliver Hader

[BUGFIX] Unknown t3lib_TcaRelationService in StaticRecordCollection

t3lib_collection_StaticRecordCollection::loadContents() tries to
access class t3lib_TcaRelationService which is not available in
the TYPO3 Core. The accordant dependent feature request was
pending for master (see #32148). Since the TcaRelationService
was dropped for 4.7, this fix uses plain MM queries to get the
desired results.

Change-Id: I72fa5f7dc0fcf269ef00f9ec17bff6dd5bd95173
Fixes: #33942
Releases: 6.0, 4.7
Reviewed-on: http://review.typo3.org/9028
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

Revision 3946137b - 2012-03-27 15:36 - Oliver Hader

[BUGFIX] Unknown t3lib_TcaRelationService in StaticRecordCollection

t3lib_collection_StaticRecordCollection::loadContents() tries to
access class t3lib_TcaRelationService which is not available in
the TYPO3 Core. The accordant dependent feature request was
pending for master (see #32148). Since the TcaRelationService
was dropped for 4.7, this fix uses plain MM queries to get the
desired results.
Change-Id: I72fa5f7dc0fcf269ef00f9ec17bff6dd5bd95173
Fixes: #33942
Releases: 6.0, 4.7
Reviewed-on: http://review.typo3.org/9913
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History
#1 - 2012-02-15 13:34 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9028

#2 - 2012-02-26 23:26 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9028

#3 - 2012-03-05 17:56 - Steffen Ritter
- Target version changed from 4.7.0-beta1 to 4.7.0-beta2

#4 - 2012-03-11 12:55 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9028

#5 - 2012-03-13 14:43 - Steffen Ritter
- Target version changed from 4.7.0-beta2 to 4.7.0-beta3

#6 - 2012-03-27 12:55 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9028

#7 - 2012-03-27 13:37 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9028

#8 - 2012-03-27 13:57 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9028
#9 - 2012-03-27 15:36 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.
It is available at http://review.typo3.org/9913

#10 - 2012-03-28 02:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3946137b460369a0c17609d0840ee48e24cba9bc.
